# Type Alias LoadResultType<Scene>

type LoadResultType<Scene = THREE.Object3D> = {
animations: THREE.AnimationClip[];
byteLength: number;
dispose: () => void;
memoryUsage: number;
modelUpAxis: "Y" | "Z";
rtcCenter?: THREE.Vector3;
scene: Scene;
textures: THREE.Texture[];
type:
| "unknown"
| "b3dm"
| "pnts"
| "at3d"
| "pbm"
| "dome"
| "domez"
| "gltf"
| "ply"
| "obj"
| "fbx"
| "x3p"
| "spz"
| "splat";
upAxis: "Y"
| "Z";
uri: string;
}

#### Type Parameters

- Scene = THREE.Object3D

- Defined in lib/five/model/loaders/shared.ts:3

##### Index

### Properties

animations
byteLength
dispose
memoryUsage
modelUpAxis
rtcCenter?
scene
textures
type
upAxis
uri

## Properties

### animations

animations: THREE.AnimationClip[]

- Defined in lib/five/model/loaders/shared.ts:12

### byteLength

byteLength: number

- Defined in lib/five/model/loaders/shared.ts:7

### dispose

dispose: () => void

- Defined in lib/five/model/loaders/shared.ts:14

### memoryUsage

memoryUsage: number

- Defined in lib/five/model/loaders/shared.ts:8

### modelUpAxis

modelUpAxis: "Y" | "Z"

- Defined in lib/five/model/loaders/shared.ts:5

### `Optional` rtcCenter

rtcCenter?: THREE.Vector3

- Defined in lib/five/model/loaders/shared.ts:13

### scene

scene: Scene

- Defined in lib/five/model/loaders/shared.ts:10

### textures

textures: THREE.Texture[]

- Defined in lib/five/model/loaders/shared.ts:11

### type

type:
| "unknown"
| "b3dm"
| "pnts"
| "at3d"
| "pbm"
| "dome"
| "domez"
| "gltf"
| "ply"
| "obj"
| "fbx"
| "x3p"
| "spz"
| "splat"

- Defined in lib/five/model/loaders/shared.ts:4

### upAxis

upAxis: "Y" | "Z"

- Defined in lib/five/model/loaders/shared.ts:6

### uri

uri: string

- Defined in lib/five/model/loaders/shared.ts:9